Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.evpull
Class EmptyEventIterator

    java.lang.Object
      net.sf.saxon.evpull.EmptyEventIterator

All Implemented Interfaces:
  EventIterator, PullEvent

    public class EmptyEventIterator

extends Object
implements EventIterator

This class is an EventIterator over an empty sequence. It is a singleton class.

Constructor Summary
`EmptyEventIterator()`

Method Summary
`static EmptyEventIterator` | `getInstance()` Get the singular instance of this class
`boolean` | `isFlatSequence()` Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators
`PullEvent` | `next()` Get the next event in the sequence

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyEventIterator

    public EmptyEventIterator()

Method Detail

### getInstance

    public static EmptyEventIterator getInstance()

  Get the singular instance of this class

  Returns:
    the singular instance

### next

    public PullEvent next()

  Get the next event in the sequence

  Specified by:
    `next` in interface `EventIterator`
  Returns:
    null (there is never a next event)

### isFlatSequence

    public boolean isFlatSequence()

  Determine whether the EventIterator returns a flat sequence of events, or whether it can return nested event iterators

  Specified by:
    `isFlatSequence` in interface `EventIterator`
  Returns:
    true if the next() method is guaranteed never to return an EventIterator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.